import os from "os"
import fs from "fs"

export const PERSISTENT_DIR = `${os.homedir()}/persistent/online-energieausweis`

if (!fs.existsSync(PERSISTENT_DIR)) {
	fs.mkdirSync(PERSISTENT_DIR, {recursive: true})
	fs.mkdirSync(`${PERSISTENT_DIR}/images`, {recursive: true})
	fs.mkdirSync(`${PERSISTENT_DIR}/generated`, {recursive: true})
	fs.mkdirSync(`${PERSISTENT_DIR}/unterlagen`, {recursive: true})
}